[Golang] go list命令查看依赖的版本

当使用go mod的时候,如果依赖需要升级版本,我们可以使用go list命令查看依赖的版本

例如:

go list -m -versions github.com/gin-gonic/gin

 

 

然后改一下go.mod中的版本号就可以升级了

 

开源作品

GO-FLY,一套可私有化部署的免费开源客服系统,安装过程不超过五分钟(超过你打我 !),基于Golang开发,二进制文件可直接使用无需搭开发环境,下载zip解压即可,仅依赖MySQL数据库,是一个开箱即用的网页在线客服系统,致力于帮助广大开发者/中小站长快速整合私有客服功能
github地址:go-fly
官网地址:https://gofly.sopans.com
posted @ 2022-01-05 21:16  陶士涵  阅读(24)  评论(0编辑  收藏  举报